### Class

# Foundry LlmCompletion

#### Description

    abstract class Foundry.LlmCompletion : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_llm_completion_next_chunk

No description available.

###### foundry_llm_completion_when_finished

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLlmCompletionClass {
      GObjectClass parent_class;
      DexFuture* (* when_finished) (
        FoundryLlmCompletion* self
      );
      DexFuture* (* next_chunk) (
        FoundryLlmCompletion* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`when_finished: DexFuture* (* when_finished) ( FoundryLlmCompletion* self )`

  No description available.

`next_chunk: DexFuture* (* next_chunk) ( FoundryLlmCompletion* self )`

  No description available.

#### Virtual methods

###### Foundry.LlmCompletionClass.next_chunk

No description available.

###### Foundry.LlmCompletionClass.when_finished

No description available.